#!/bin/sh

mv /etc/openvpn-ecc/service /etc/init.d/openvpn-ecc

if [ -x /sbin/update-rc.d ]
then
	/sbin/update-rc.d openvpn-ecc start 20 2 3 4 5 . stop 80 0 1 6 .
elif [ -x /usr/sbin/update-rc.d ]
then
	/usr/sbin/update-rc.d openvpn-ecc start 20 2 3 4 5 . stop 80 0 1 6 .
elif [ -x /sbin/chkconfig ]
then
	/sbin/chkconfig --add openvpn-ecc
	/sbin/chkconfig --level 2345 openvpn-ecc on
elif [ -x /usr/sbin/chkconfig ]
then
	/usr/sbin/chkconfig --add openvpn-ecc
	/usr/sbin/chkconfig --level 2345 openvpn-ecc on
else
	echo "Can not install service."
fi
